Market open interest
Returns a WebSocket stream of open interests for specified markets.
If you are falling behind (slow client) you will get warning message first, then error message and disconnection will happen.
Note: The value_usd field in this endpoint was previously calculated using hardcoded logic that no longer reflects current contract specifications across all exchanges.
To address this, we have deprecated the value_usd field and introduced new, more accurate metrics available via the /timeseries/market-metrics endpoint.
These two metrics should be used as a replacement for the value_usd field going forward:
- open_interest_reported_future_usd to represent the notional value of open interest in U.S. dollars for futures markets
- open_interest_reported_option_notional_usd to represent the notional value of open interest in U.S. dollars for options markets
We also introduced open_interest_reported_option_market_value_usd to represent the market value of open interest in U.S. dollars for options markets.
Coin Metrics API key can be specified as ?api_key= query parameter.
Comma separated list of markets or market patterns like exchange-* or exchange-*-spot or *USDT-future.
Use a corresponding /catalog-all-v2/market-{dataType} endpoint for the full list of supported markets for a given data type.
What data should be sent upon a connection.
By default the latest values are sent just before real-time data.
latestPossible values: Human-readable formatting of JSON responses.
falseRequested resource requires authorization.
Requested resource is not available with supplied credentials.
Provided URI is too long. It must not be greater than 10000 symbols.
Open Interest WebSocket message.
ws = new WebSocket("wss://api.coinmetrics.io/v4/timeseries-stream/market-openinterest?markets=binance-BTCUSDT-future&pretty=true&api_key=<your_key>")
ws.onmessage = m => console.log(m.data); ws.onclose = () => console.log("closed")
{
"error": {
"type": "unauthorized",
"message": "Requested resource requires authorization."
}
}Last updated

